# -*- coding: utf-8 -*- 
# @Time    : 04/13/2024 
# @Author  : nzooherd 
# @File    : test_video_dao.py 
# @Software: Visual Studio Code

import unittest

from dao.video_dao import VideoDao


class TestVideoDao(unittest.IsolatedAsyncioTestCase):

    def __init__(self, methodName: str = "runTest") -> None:
        super().__init__(methodName)

        self.video_dao = VideoDao()


    async def test_count(self):
        print(await self.video_dao.activate_count())


    async def test_select_by_offset(self):
        print((await self.video_dao.select_by_offset(0)).create_time)


if __name__ == '__main__':
    unittest.main()